# gds-pagination - React

## Import

```typescript
import { GdsPagination } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsPagination />
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `gds-page-change` | `onGdsPageChange` | `onGdsPageChange={handler}` |
| `gds-rows-change` | `onGdsRowsChange` | `onGdsRowsChange={handler}` |
